/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.binding.soap;

import org.bluestemsoftware.specification.eoa.DeploymentException;

public final class SOAP12VMTransportProtocol extends SOAPVMTransportProtocol {

    public static final String TYPE = "http://bluestemsoftware.org/specification/eoa/ext/soap12/vmtp";

    public SOAP12VMTransportProtocol() {
        super(TYPE);
    }

    protected void validate() throws DeploymentException {
        if (!(parent instanceof SOAP12Binding)) {
            throw new DeploymentException("Parent not instanceof " + SOAP12Binding.class);
        }
    }

    // *********************** Identity Methods ************************************

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("type: ");
        sb.append(System.getProperty("line.separator"));
        sb.append(TYPE);
        return sb.toString();
    }

    @Override
    public int hashCode() {
        return hashCode(TYPE);
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof SOAP12VMTransportProtocol) {
            return true;
        } else {
            return false;
        }
    }

    private int hashCode(Object object) {
        return (object == null ? 0 : object.hashCode());
    }
    
}
