/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.auth.jaas;

import java.io.IOException;

import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.UnsupportedCallbackException;

import org.bluestemsoftware.specification.eoa.ext.feature.auth.jaas.LoginCredentials;


public class LoginCallbackHandler implements CallbackHandler {

    private LoginCredentials credentials;

    public LoginCallbackHandler(LoginCredentials credentials) {
        this.credentials = credentials;
    }

    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException {
        for (int i = 0; i < callbacks.length; i++) {
            if (callbacks[i] instanceof CredentialsCallback) {
                ((CredentialsCallback)callbacks[i]).setCredential(credentials);
            } else {
                throw new UnsupportedCallbackException(callbacks[i]);
            }
        }
    }
    
    public static class CredentialsCallback implements Callback {

        private LoginCredentials credentials;

        public LoginCredentials getCredentials() {
            return credentials;
        }

        public void setCredential(LoginCredentials credentials) {
            this.credentials = credentials;
        }
        
    }

}
