/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.ws.addressing.soap.fault;

import javax.xml.namespace.QName;

import org.bluestemsoftware.specification.eoa.ext.binding.soap.SOAPVersion;
import org.bluestemsoftware.specification.eoa.ext.binding.soap.rt.SOAPSenderFault;

public abstract class WSAddressingFault extends SOAPSenderFault {
    
    private static final long serialVersionUID = 1L;
   
    public static final String ACTION = "http://www.w3.org/2005/08/addressing/fault";

    public WSAddressingFault(SOAPVersion soapVersion, QName faultName, String reason) {
        super(soapVersion, faultName, reason);
    }
    
    @Override
    public final String getAction() {
        return ACTION;
    }
    
}
