/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.feature.ws.transport.http;

import java.io.File;

import org.bluestemsoftware.specification.eoa.ext.feature.FeatureFactory;
import org.bluestemsoftware.specification.eoa.ext.feature.ws.transport.http.rt.HyperTextTransferProtocolRT;
import org.bluestemsoftware.specification.eoa.ext.feature.ws.transport.rt.TransportProtocolRT;
import org.bluestemsoftware.specification.eoa.system.server.TransportFeature;

/**
 * Creates <code>HTTPTransportModule</code> components which utilize HTTPServer feature and
 * HTTPClient behavior to send/receive messages using HTTP transmission protocol.
 */
public class HTTPTransportFeature extends TransportFeature {

    public static final String TYPE = HTTPTransportFeature.class.getName();

    public static final String PVNS_10 = "http://bluestemsoftware.org/specification/eoa/ext/feature/ws/transport/http/policy/1.0";

    /*
     * (non-Javadoc)
     * 
     * SPI
     */
    public interface Provider extends TransportFeature.Provider {
    }

    public HTTPTransportFeature(FeatureFactory factory, Provider provider,File extensionEtcDir, File extensionVarDir) {
        super(factory, provider, extensionEtcDir, extensionVarDir);
    }

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.system.server.TransportFeature#getTransportProtocol()
     */
    @Override
    public Class<? extends TransportProtocolRT> getTransportProtocol() {
        return HyperTextTransferProtocolRT.class;
    }

}
