/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl11;

import java.util.Map;

import javax.xml.namespace.QName;

import org.bluestemsoftware.specification.eoa.component.RootComponent.ComponentName;
import org.bluestemsoftware.specification.eoa.ext.idl.wsdl.wsdl11.ext.SOAPBindingElement;

/**
 * Models a <code>WSDL</code> 1.1 'binding' element. Note that it is implementation's
 * responsibility to switch thread context classloader as required to/from
 * {@link WSDL11Factory} deployment classloader.
 */

public interface BindingElement extends DefinitionElement, ProfiledElement {

    public static final QName NAME = new QName(WSDL11Factory.WSDL_NS, "binding", WSDL11Factory.WSDL_NS_PREFIX);

    public void setName(String name);

    public String getName();

    public void setType(ComponentName value);

    public ComponentName getType();

    public SOAPBindingElement setSOAPBindingElement(SOAPBindingElement soapBindingElement);

    public SOAPBindingElement getSOAPBindingElement();

    public BindingOperationElement addOperationElement(BindingOperationElement operationElement);

    public Map<String, BindingOperationElement> getOperationElements();

}
