/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.intrface;

import org.bluestemsoftware.specification.eoa.component.intrface.InterfaceOperation.Style;

/**
 * Models content of an RPC Style compliant element declaration which conforms with rules
 * defined by WSDL 2.0 adjuncts specification.
 */
public class RPCStyle implements Style {

    public static final String STYLE_IRI = "http://www.w3.org/ns/wsdl/style/rpc";

    /*
     * (non-Javadoc)
     * @see org.bluestemsoftware.specification.eoa.component.intrface.InterfaceOperation$Style#getStyleIRI()
     */
    public String getStyleIRI() {
        return STYLE_IRI;
    }

    // TODO: model me. note that this style is provided primarily for inter-operability with
    // partner applications. local applications should be document driven, i.e. RPC style
    // method invocation using an xml data binding, e.g. JAX-RPC, is not considered a best
    // practice (although a type specific engine could provide the mapping if so desired
    // in which case the wrpc:signature attribute would be used to identify the method
    // signature) For partner application invocation, the signature attrib can be safely
    // ignored.

}
