/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.bluestemsoftware.specification.eoa.ext.message;


/**
 * Marker class which identifies serialization of content according to the JSON (javascript
 * object notation) convention using the "BadgerFish" format.
 */

public final class ContentSerializationBadgerJSON extends ContentSerializationJSON {

    public static ContentSerializationBadgerJSON BFISH = new ContentSerializationBadgerJSON();
    
    private ContentSerializationBadgerJSON() {
    }

    public static ContentSerializationBadgerJSON getInstance() {
        return BFISH;
    }

    @Override
    public String toString() {
        return "JSON-Badger";
    }
    
    @Override
    public boolean equals(Object obj) {
        return obj instanceof ContentSerializationBadgerJSON;
    }
    
    @Override
    public int hashCode() {
        return ContentSerializationBadgerJSON.class.hashCode();
    }

}
