/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.policy.wsp15;

import org.bluestemsoftware.specification.eoa.component.policy.rt.PolicyDocument;

/**
 * A <code>PolicyDocument</code> which conforms to version 1.5 of the WS-Policy
 * specification.
 */
public interface WSPolicyDocument extends PolicyDocument {

    public static final String TYPE = "http://www.w3.org/ns/ws-policy";
    public static final String PREFIX = "wsp";
    
    /*
     * (non-Javadoc)
     * 
     * SPI
     */
    public interface Provider extends PolicyDocument.Provider {
    }
    
}
