/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 * 
 * [1] http://alakai.org/licensing/specification-eoa-ext-license.html
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.schema.xs.xs10;

import org.bluestemsoftware.specification.eoa.component.types.rt.SchemaDocument;

/**
 * A runtime <code>Schema</code> component which conforms to version 1.0 of the W3C XML
 * Schema Language specification.
 */
public interface XMLSchema extends SchemaDocument {

    public static final String TYPE = "http://www.w3.org/2001/XMLSchema";
    public static final String PREFIX = "xs";
    
    /*
     * (non-Javadoc)
     * 
     * SPI
     */
    public interface Provider extends SchemaDocument.Provider {
    }
    
}
